This component implements an NOAA POES HRPT receiver.  After installation,
the scripts described below will be install in the users PATH.

As the scripts are generated using GRC, GRC must be installed at runtime
in order for them to operate.


HRPT OPERATION

usrp_rx_hrpt.py
---------------

This GUI script will receive HRPT RF, demodulate, synchronize, and deframe
HRPT minor frames into a file.  The file stores a series of 11090 word,
16-bits per word corresponding to the HRPT minor frame format (only the
lower 10-bits per word are significant.)

The script file by default uses USRP side A, 1698 MHz, at a sampling rate of
4MHz. The gnuradio configuration file ~/.gnuradio/config.conf, section
'usrp_rx_hrpt.cfg', will allow changing this, as well as implementing
persistent storage of GUI entered parameters from invocation to invocation.

The present HRPT demodulator is only tested at 4MS/s.

file_rx_hrpt.py
---------------

This GUI script operates like usrp_rx_hrpt.py, but reads from a pre-captured
data file supplied by -F on the command line.


usrp_rx_hrpt_nogui.py
---------------------

This non-GUI script operates without a display and requires that all parameters
be set in the configuration file prior to running.  It has no command-line
parameters, and works identically to the GUI scripts.


hrpt_demod_file.py
------------------

This non-GUI script will operate on a file generated with
usrp_rx_cfile.py and output frames in the same format as above.  It does
*not* use the configuration file above; instead you must pass parameters to
it on the command line.  To exit the program, press Enter.

Usage: demod_hrpt_file.py: [options]

Options:
  -h, --help            show this help message and exit
  -d DECIM, --decim=DECIM
                        Set Decimation [default=16]
  -p PLL_ALPHA, --pll-alpha=PLL_ALPHA
                        Set pll_alpha [default=50m]
  -s CLOCK_ALPHA, --clock-alpha=CLOCK_ALPHA
                        Set clock_alpha [default=50m]
  -F INPUT_FILENAME, --input-filename=INPUT_FILENAME
                        Set Filename [default=usrp.dat]
  -o OUTPUT_FILENAME, --output-filename=OUTPUT_FILENAME
                        Set Output [default=frames.dat]


LRIT Operation
--------------

The work-in-progress LRIT GRC script is not currently in a usable state.
